Installing rpms and debs - Debian

This is a discussion on Installing rpms and debs - Debian ; I want to install SDL Development Libraries so I did, root@linux_laptop:/home/bfogerty/projects/c++/sdl_test# apt-get install libsdl1.2debian-all Reading package lists... Done Building dependency tree... Done Package libsdl1.2debian-all is not available, but is referred to by another package. This may mean that the package ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Installing rpms and debs

  1. Installing rpms and debs

    I want to install SDL Development Libraries so I did,

    root@linux_laptop:/home/bfogerty/projects/c++/sdl_test# apt-get install
    libsdl1.2debian-all
    Reading package lists... Done
    Building dependency tree... Done
    Package libsdl1.2debian-all is not available, but is referred to by another
    package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    However the following packages replace it:
    libsdl1.2debian-esd libsdl1.2debian-alsa libsdl1.2debian-nas
    libsdl1.2debian-arts libsdl1.2debian-oss
    E: Package libsdl1.2debian-all has no installation candidate

    Any ideas?

    Thanks in advance!


  2. Re: Installing rpms and debs

    Brandon Fogerty wrote:
    > I want to install SDL Development Libraries so I did,
    >
    > root@linux_laptop:/home/bfogerty/projects/c++/sdl_test# apt-get install
    > libsdl1.2debian-all
    > Reading package lists... Done
    > Building dependency tree... Done
    > Package libsdl1.2debian-all is not available, but is referred to by another
    > package.
    > This may mean that the package is missing, has been obsoleted, or
    > is only available from another source
    > However the following packages replace it:
    > libsdl1.2debian-esd libsdl1.2debian-alsa libsdl1.2debian-nas
    > libsdl1.2debian-arts libsdl1.2debian-oss
    > E: Package libsdl1.2debian-all has no installation candidate
    >
    > Any ideas?


    Well, from your previous post:

    knoppix is based on debian, but knoppix is not debian.
    It's a good live distro and it's a good starting point for an
    installation. Using knoppix as a debian installation and installing and
    upgrading from debian archives you are bound to have problems like the
    one above.

    If you want to use debian and install software from debian archives,
    there is no better solution as to install debian - plain debian. It'll
    probably be more effort to set it up (compared to just entering a
    knoppix cd), but you will have a stable distribution for years to come.

    Just my 2ct.
    Johannes


    --
    To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  3. Re: Installing rpms and debs

    On 8/22/06, Brandon Fogerty wrote:
    > I want to install SDL Development Libraries so I did,
    >
    > root@linux_laptop:/home/bfogerty/projects
    > /c++/sdl_test# apt-get install libsdl1.2debian-all
    > Reading package lists... Done
    > Building dependency tree... Done
    > Package libsdl1.2debian-all is not available, but is referred to by another
    > package.
    > This may mean that the package is missing, has been obsoleted, or
    > is only available from another source
    > However the following packages replace it:
    > libsdl1.2debian-esd libsdl1.2debian-alsa libsdl1.2debian-nas
    > libsdl1.2debian-arts libsdl1.2debian-oss
    > E: Package libsdl1.2debian-all has no installation candidate
    >
    > Any ideas?
    >
    > Thanks in advance!


    Select one of suggested packages, i.e. libsdl1.2debian-alsa if your
    sound plays via ALSA, or libsdl1.2debian-esd if your sound plays
    through ESD daemon, etc.

    --
    Best regards, Evgeny

    mailto:e.sokolov@gmail.com | UIN:151282865 | JID:eof@jabber.org.by


    --
    To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread